#include <FirmWare.h>
#include <CheckUp.h>

#define         CONFIG_FILE_PATH            "../config/minirex.conf"







int main()
{

    // Display a welcome message

    printf("\x1B[H\x1B[2J\n");
    printf ("\t\t\x1B[1;34m:::::::::          MiniRex          :::::::::  \x1B[0m \n\n");

    // Create the object Robot and connect to the firmware

    MiniRex Robot;





    CheckUp *Verif;
    Verif=new CheckUp();

    switch (Robot.Init(CONFIG_FILE_PATH))
    {
    case 1 :  Verif->DisplaySuccessMessage("Hardware intialization"); break;
    case -1 : Verif->DisplayErrorMessage("Error while loading config file"); return 0; break;
    case -2 : Verif->DisplayErrorMessage("Error while connecting to the FirmWare"); return 0; break;
    case -3 : Verif->DisplayErrorMessage("Error while connecting to the Lidar"); return 0; break;
    case -4 : Verif->DisplayErrorMessage("Error while connecting to the Kinect"); return 0; break;
    default : Verif->DisplayErrorMessage("Unknow error"); return 0; break;

    }

    Verif->Robot_CheckUp(&Robot);
/*
    int Left,Right;    
    Robot.Firmware.Tracks_SetVelocity(100,100);
    for (int i=0;i<1000;i++)
    {
        printf ("%d ",Robot.Firmware.Tracks_GetCurrent(&Left,&Right));
        printf ("%d %d \n",Left,Right);
        usleep (1000);
    }
*/
    /*
    printf ("Debut Kinect\n");
    Robot.Kinect.Acquire();
    Robot.Kinect.ConvertToCloud();
    Robot.Kinect.SaveImage("../data/Image.bmp");
    Robot.Kinect.SaveDepth("../data/Depth.kdp");
    Robot.Kinect.SaveCloud("../data/Cloud.k3d");
    printf ("%d points 3D\n",Robot.Kinect.NbPointCloud);
    printf ("Fin Kinect\n");
*/


    return 0;
}

